v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/events
Retrieves a list of events in a study based on start date and end date. Rights: OrsSubjectVisitGet. If no events are specified, all the events in action types are returned. If event types are specified, but none of them are valid, an empty list is returned.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
A1B2C3D4E5F6478899AABBCCDDEEFF00
Query Parameters
-
endDate(required): string
The ending date and time (optional). If you don't specify the time, the date range stops before midnight (23:59:59 UTC) for the specified date. The accepted date and time formats are: dd-MMM-yyyy HH:mm:ss.SSS, dd-MMM-yyyy HH:mm:ss, or dd-MMM-yyyy HH:mm.Example:
2026-01-31T23:59:59Z -
events: array[string]
List of events.Example:
New -
startDate(required): string
The starting date and time (optional). If you don't specify the time, the date range begins after midnight (UTC) for the specified date. The accepted date and time formats are: dd-MMM-yyyy HH:mm:ss.SSS, dd-MMM-yyyy HH:mm:ss, or dd-MMM-yyyy HH:mm.Example:
2026-01-01T00:00:00Z
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Nested Schema : EventsByType
Type:
objectEvent details.
Show Source
-
eventType: string
Allowed Values:
[ "New", "Screened", "Randomized" ]Event type.Example:New -
ids: array
ids
Example:
{
"eventType":"New",
"ids":[
"B1B8327AFAA6412287106192AB5984EF"
]
}Examples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples